Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.schema
Class MappedSimplePropertyType

    java.lang.Object
      org.deegree.model.feature.schema.AbstractPropertyType
          org.deegree.model.feature.schema.SimplePropertyType
              org.deegree.io.datastore.schema.MappedSimplePropertyType

All Implemented Interfaces:
  MappedPropertyType, PropertyType

    public class MappedSimplePropertyType

extends SimplePropertyType
implements MappedPropertyType

Representation of property types that contain primitive data types with mapping (persistence) information.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`MappedSimplePropertyType(QualifiedName name, int type, int minOccurs, int maxOccurs, boolean isIdentityPart, TableRelation[] tableRelations, SimpleContent content)` Constructs a new instance of `MappedSimplePropertyType` from the given parameters.

Method Summary
`SimpleContent` | `getContent()` Returns the `SimpleContent` of the property type.
`TableRelation[]` | `getTableRelations()` Returns the path of `TableRelation`s that describe how to get to the table where the content is stored.
`boolean` | `isIdentityPart()` Returns whether this property has to be considered when two instances of the parent feature are checked for equality.

Methods inherited from class org.deegree.model.feature.schema.AbstractPropertyType
`equals, getMaxOccurs, getMinOccurs, getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.model.feature.schema.PropertyType
`getMaxOccurs, getMinOccurs, getName, getType`

Constructor Detail

### MappedSimplePropertyType

    public MappedSimplePropertyType(QualifiedName name,
                                    int type,
                                    int minOccurs,
                                    int maxOccurs,
                                    boolean isIdentityPart,
                                    TableRelation[] tableRelations,
                                    SimpleContent content)

  Constructs a new instance of `MappedSimplePropertyType` from the given parameters.

  Parameters:
    `name` -
    `type` -
    `minOccurs` -
    `maxOccurs` -
    `isIdentityPart` -
    `tableRelations` -
    `content` -

Method Detail

### isIdentityPart

    public boolean isIdentityPart()

  Returns whether this property has to be considered when two instances of the parent feature are checked for equality.

  Specified by:
    `isIdentityPart` in interface `MappedPropertyType`
  Returns:
    true, if this property is part of the feature's identity

### getTableRelations

    public TableRelation[] getTableRelations()

  Returns the path of `TableRelation`s that describe how to get to the table where the content is stored.

  Specified by:
    `getTableRelations` in interface `MappedPropertyType`
  Returns:
    path of TableRelations, may be null

### getContent

    public SimpleContent getContent()

  Returns the `SimpleContent` of the property type.

  Returns:
    the SimpleContent of the property type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org